Subject: Re: [PATCH] 9p: disconnect channel when PCI device is removed

From: Rusty Russell <[email-masked]>
Date: Mon, 07 May 2012 12:45:16 +0930

On Fri, 13 Apr 2012 17:48:36 -0400, Sasha Levin <[email-masked]> wrote:
> When a virtio_9p pci device is being removed, we should close down any
> active channels and free up resources, we're not supposed to BUG() if there's
> still an open channel since it's a valid case when removing the PCI device.
> 
> Otherwise, removing the PCI device with an open channel would cause the
> following BUG():

(Damn changed notmuch.el bindings!  Previous reply went only to Sasha).

Applied thanks,
Rusty.